<?php

/*
* here you can override drupal theme functions
*
**/



function pannelli_status_messages($variables) {
  $messages_grid = theme_get_setting('pannelli_messages_grid') ? "12": "inactive";
  $display = $variables['display'];
  $output = '';

  $status_heading = array(
    'status' => t('Status message'), 
    'error' => t('Error message'), 
    'warning' => t('Warning message'),
  );
  foreach (drupal_get_messages($display) as $type => $messages) {
    $output .= "<div class=\"container_".$messages_grid."\"><div class=\"grid_".$messages_grid."\"><div class=\"messages $type\">\n";
    if (!empty($status_heading[$type])) {
      $output .= '<h2 class="element-invisible">' . $status_heading[$type] . "</h2>\n";
    }
    if (count($messages) > 1) {
      $output .= " <ul>\n";
      foreach ($messages as $message) {
        $output .= '  <li>' . $message . "</li>\n";
      }
      $output .= " </ul>\n";
    }
    else {
      $output .= $messages[0];
    }
    $output .= "</div></div></div>\n";
  }
  return $output;
}

/*
* drupal tabs
*
**/

function pannelli_menu_local_tasks(&$variables) {
  $tabs_grid = theme_get_setting('pannelli_tabs_grid') ? "12": "inactive";
  $output = '';

  if (!empty($variables['primary'])) {
    $variables['primary']['#prefix'] = '<div class="container_'.$tabs_grid.'">';
    $variables['primary']['#prefix'] .= '<div class="grid_'.$tabs_grid.'">';
    $variables['primary']['#prefix'] .= '<h2 class="element-invisible">' . t('Primary tabs') . '</h2>';
    $variables['primary']['#prefix'] .= '<ul class="tabs primary">';
    $variables['primary']['#suffix'] = '</div>';
    $variables['primary']['#suffix'] .= '</div>';
    $variables['primary']['#suffix'] .= '</ul>';
    $output .= drupal_render($variables['primary']);
  }
  if (!empty($variables['secondary'])) {
    $variables['secondary']['#prefix'] = '<h2 class="element-invisible">' . t('Secondary tabs') . '</h2>';
    $variables['secondary']['#prefix'] .= '<ul class="tabs secondary">';
    $variables['secondary']['#suffix'] = '</ul>';
    $output .= drupal_render($variables['secondary']);
  }

  return $output;
}

/*
* breadcrumb
*
*/


function pannelli_breadcrumb($variables) {
  $breadcrumb_grid = theme_get_setting('pannelli_breadcrumb_grid') ? "12": "inactive";  
  $breadcrumb = $variables['breadcrumb'];

  if (!empty($breadcrumb)) {
    // Provide a navigational heading to give context for breadcrumb links to
    // screen-reader users. Make the heading invisible with .element-invisible.
    $output = '<h2 class="element-invisible">' . t('You are here') . '</h2>';

    $output .= '<div class="breadcrumb container_'.$breadcrumb_grid .'"><div class="grid_'.$breadcrumb_grid.'">' . implode('<span class="raquo"> » </span>', $breadcrumb) . '</div></div>';
    return $output;
  }
}
