<?php

// include theme settings logics
include_once('admin/theme_settings.inc');

// overrides of theme functions
include_once('admin/theme_functions.inc');


/**
 * Preprocess function for html.tpl.php
 */

function pannelli_preprocess_html(&$vars){
  //selectivizr
  $vars['selectivizr'] = '';
  
  if(theme_get_setting('pannelli_selectivzr')) {
      $vars['selectivizr'] .= '<!--[if (gte IE 6)&(lte IE 8)]>' . "\n";;
      $vars['selectivizr'] .= '<script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/selectivizr/1.0.2/selectivizr-min.js"></script>' . "\n";;
      $vars['selectivizr'] .= '<![endif]-->' . "\n";;
  }
}

/**
 * Preprocess function for page.tpl.php
 */

function pannelli_preprocess_page(&$vars) {
  if (!empty($vars['panels_everywhere_site_template'])) {
      $vars['template_file'] = 'page-panels-everywhere';
  }
}

/**
 * Process function for navigation pane.
 */
 
function pannelli_process_pane_navigation(&$vars) {
  $vars['main_menu'] = theme('links__system_main_menu', array(
    'links' => menu_main_menu(),
    'attributes' => array('id' => 'main-menu', 'class' => array('clearfix')),
  ));
  $vars['secondary_menu'] = theme('links__system_secondary_menu', array(
    'links' => menu_secondary_menu(),
    'attributes' => array('id' => 'secondary-menu', 'class' => array('clearfix')),
  ));
}

/**
 * Preprocess some panels pane
 */

function pannelli_preprocess_panels_pane(&$vars) {

  $title_grid = theme_get_setting('pannelli_page_title_grid') ? "12": "inactive";
  
  switch($vars['pane']->type) {
    
    // wrap page title in the grid system according to theme settings
    
    case 'page_title':
    $vars['content'] = '<div class="container_'.$title_grid.'"><div class="grid_'.$title_grid.'">'.$vars['content'].'</div></div>';
    break;
    
  }
}


