<?php
/**
 * Implements hook_form_FORM_ID_alter().
 */
function pannelli_form_system_theme_settings_alter(&$form, &$form_state) {
  $form['pannelli'] = array(
    '#type' => 'fieldset',
    '#title' => t('Pannelli settings'),
  );
  
  $form['pannelli']['pannelli_overlay'] = array(
    '#type' => 'checkbox',
    '#title' => t('Grid overlay'),
    '#default_value' => theme_get_setting('pannelli_overlay'),
    '#description' => t('Show grid overlay?'),
  );
  
  $form['pannelli']['pannelli_selectivzr'] = array(
    '#type' => 'checkbox',
    '#title' => t('Selectivzr'),
    '#default_value' => theme_get_setting('pannelli_selectivzr'),
    '#description' => t('Load <a href="http://selectivizr.com/" target="_blank">Selectivizr Library</a>?'),
  );
  
  $form['pannelli']['pannelli_modernizr'] = array(
    '#type' => 'checkbox',
    '#title' => t('Modernizr'),
    '#default_value' => theme_get_setting('pannelli_modernizr'),
    '#description' => t('Load <a href="http://www.modernizr.com/" target="_blank">Modernizr Library</a>?'),
  );
  
  $form['pannelli']['pannelli_formalize'] = array(
    '#type' => 'checkbox',
    '#title' => t('Formalize'),
    '#default_value' => theme_get_setting('pannelli_formalize'),
    '#description' => t('Load <a href="http://formalize.me/" target="_blank">Formalize Library</a>?'),
  );

  $form['pannelli']['pannelli_reset'] = array(
    '#type' => 'select',
    '#title' => t('Reset type'),
    '#default_value' => theme_get_setting('pannelli_reset'),
    '#description' => t('Which reset css do you want to use? Choose between classic reset or normalize'),
    '#options'=> array(
	     0 => t('normalize.css'),
	     1 => t('Eric Mayer reset.css')
    )
  );

  $form['pannelli']['pannelli_page_title_grid'] = array(
    '#type' => 'checkbox',
    '#title' => t('Page title wrap'),
    '#default_value' => theme_get_setting('pannelli_page_title_grid'),
    '#description' => t('Wrap page title pane in a 12-column grid'),
  );

  $form['pannelli']['pannelli_tabs_grid'] = array(
    '#type' => 'checkbox',
    '#title' => t('Drupal tabs wrap'),
    '#default_value' => theme_get_setting('pannelli_tabs_grid'),
    '#description' => t('Wrap drupal tabs pane in a 12-column grid'),
  );
  
  $form['pannelli']['pannelli_messages_grid'] = array(
    '#type' => 'checkbox',
    '#title' => t('Drupal messages wrap'),
    '#default_value' => theme_get_setting('pannelli_messages_grid'),
    '#description' => t('Wrap drupal messages pane in a 12-column grid'),
  );
  
  $form['pannelli']['pannelli_breadcrumb_grid'] = array(
    '#type' => 'checkbox',
    '#title' => t('Drupal breadcrumb wrap'),
    '#default_value' => theme_get_setting('pannelli_breadcrumb_grid'),
    '#description' => t('Wrap drupal breadcrumb pane in a 12-column grid'),
  );
  
}